com.io7m.jstructural.xom

## Class SDocumentXHTMLWriterMulti

- java.lang.Object
- - com.io7m.jstructural.xom.SDocumentXHTMLWriterMulti

- All Implemented Interfaces:
    SDocumentXHTMLWriter

      public final class SDocumentXHTMLWriterMulti
      extends Object
      implements SDocumentXHTMLWriter

  An XHTML writer that produces XHTML 1.0 Strict documents, creating new pages on parts and sections.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SDocumentXHTMLWriterMulti()` Construct a new XHTML writer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SortedMap<String,nu.xom.Document>` | `writeDocuments(SDocumentXHTMLWriterCallbacks callbacks, SADocument doc)` Transform the given document into at least one XHTML file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SDocumentXHTMLWriterMulti

          public SDocumentXHTMLWriterMulti()

      Construct a new XHTML writer.

  - ### Method Detail

    - #### writeDocuments

          public SortedMap<String,nu.xom.Document> writeDocuments(@Nonnull
                                                         SDocumentXHTMLWriterCallbacks callbacks,
                                                         @Nonnull
                                                         SADocument doc)
                                                           throws com.io7m.jaux.Constraints.ConstraintError

      Description copied from interface: `SDocumentXHTMLWriter`
      Transform the given document into at least one XHTML file.
      Specified by:
        `writeDocuments` in interface `SDocumentXHTMLWriter`
      Parameters:
        `callbacks` - A set of callbacks for document customisation
        `doc` - The document
      Returns:
        A list of XHTML files
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If any parameter is `null`

Copyright © 2014. All rights reserved.